Package org.apache.sysds.hops.estim

# Enum Class SparsityEstimator.OpCode

java.lang.Object
java.lang.Enum<SparsityEstimator.OpCode>
org.apache.sysds.hops.estim.SparsityEstimator.OpCode

All Implemented Interfaces:
  `Serializable`, `Comparable<SparsityEstimator.OpCode>`, `Constable`

Enclosing class:
  SparsityEstimator

public static enum SparsityEstimator.OpCode extends Enum<SparsityEstimator.OpCode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CBIND`
`DIAG`
`EQZERO`
`MM`
`MULT`
`NEQZERO`
`PLUS`
`RBIND`
`RESHAPE`
`TRANS`

## Method Summary

Modifier and Type
Method
Description
`static SparsityEstimator.OpCode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SparsityEstimator.OpCode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MM

public static final SparsityEstimator.OpCode MM

### MULT

public static final SparsityEstimator.OpCode MULT

### PLUS

public static final SparsityEstimator.OpCode PLUS

### EQZERO

public static final SparsityEstimator.OpCode EQZERO

### NEQZERO

public static final SparsityEstimator.OpCode NEQZERO

### CBIND

public static final SparsityEstimator.OpCode CBIND

### RBIND

public static final SparsityEstimator.OpCode RBIND

### TRANS

public static final SparsityEstimator.OpCode TRANS

### DIAG

public static final SparsityEstimator.OpCode DIAG

### RESHAPE

public static final SparsityEstimator.OpCode RESHAPE

## Method Details

### values

public static SparsityEstimator.OpCode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SparsityEstimator.OpCode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null